## IdeFancyTreeView IdeFancyTreeView |

## Functions

GtkWidget * | ide_fancy_tree_view_new ()
void | ide_fancy_tree_view_set_data_func ()

## Types and Values

#define | IDE_TYPE_FANCY_TREE_VIEW
struct | IdeFancyTreeViewClass
| IdeFancyTreeView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── IdeFancyTreeView

## Implemented Interfaces

IdeFancyTreeView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ide_fancy_tree_view_new ()

    GtkWidget *
    ide_fancy_tree_view_new (void);

### ide_fancy_tree_view_set_data_func ()

    void
    ide_fancy_tree_view_set_data_func (IdeFancyTreeView *self,
                                       GtkCellLayoutDataFunc func,
                                       gpointer func_data,
                                       GDestroyNotify func_data_destroy);

Sets the data func to use to update the text for the IdeCellRendererFancy cell renderer.

#### Parameters

self | a IdeFancyTreeView |
func | a callback. | [closure func_data][scope async][nullable]
func_data | data for `func` |
func_data_destroy | destroy notify for `func_data` |

Since: 3.32

## Types and Values

### IDE_TYPE_FANCY_TREE_VIEW

    #define IDE_TYPE_FANCY_TREE_VIEW (ide_fancy_tree_view_get_type())

### struct IdeFancyTreeViewClass

    struct IdeFancyTreeViewClass {
      GtkTreeViewClass parent_class;
    };

### IdeFancyTreeView

    typedef struct _IdeFancyTreeView IdeFancyTreeView;